summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/maps/0009vmap_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/maps/0009vmap_0')
-rwxr-xr-xtests/shell/testcases/maps/0009vmap_021
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/shell/testcases/maps/0009vmap_0 b/tests/shell/testcases/maps/0009vmap_0
new file mode 100755
index 00000000..4e133b72
--- /dev/null
+++ b/tests/shell/testcases/maps/0009vmap_0
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_set_expr)
+
+set -e
+
+EXPECTED="table inet filter {
+ chain ssh_input {
+ }
+
+ chain wan_input {
+ tcp dport vmap { 22 : jump ssh_input }
+ }
+
+ chain prerouting {
+ type filter hook prerouting priority -300; policy accept;
+ iif vmap { "lo" counter : jump wan_input }
+ }
+}"
+
+$NFT -f - <<< "$EXPECTED"